package com.naz.sdkdemo.http;

import com.naz.sdkdemo.AppConfig;

/**
 * Description:Api
 * Author: ydd
 * Date:2020/10/27
 */
public class Api {
    public static String POST_LOGIN_CODE(){
        return AppConfig.getInterfaceUrl() + "jbl/api/mes/login";
    }
    public static String POST_SCAN_CODE(){
        return AppConfig.getInterfaceUrl() + "jbl/api/module-data/brand_in_stock/brand_in_stock/diy/roll_qr_code";
    }

    public static String POST_EXIST_BRAND(){
        return AppConfig.getInterfaceUrl() + "/jbl/api/module-data/brand_in_stock/brand_in_stock/diy/exist_brand";
    }
    public static String POST_STORE_LIST(){
        return AppConfig.getInterfaceUrl() + "jbl/api/module-data/device/device/diy/device_code";
    } 
    public static String POST_FULL_APPLY_LIST(){
        return AppConfig.getInterfaceUrl() + "jbl/api/module-data/brand_in_stock/brand_in_stock/diy/box_inventory";
    }
    public static String POST_FULL_APPLY_ORDER_LIST(){
        return AppConfig.getInterfaceUrl() + "jbl/api/module-data/sale_order_dtl_brand/page";
    }
    public static String deviceOperateApply() {
        return AppConfig.getInterfaceUrl() + "jbl/api/module-data/device_operate_apply/device_operate_apply";
    }
    public static String deviceOperateRecord() {
        return AppConfig.getInterfaceUrl() + "jbl/api/module-data/operate/device_operate_record";
    }
    public static String openCommandUrl() {
        return "http://clouddevice.qingyaokeji.com/api/getOpenCommand";
    }
    public static String POST_APPLY_ORDER_LIST(){
        return AppConfig.getInterfaceUrl() + "jbl/api/module-data/sale_order_brand/page";
    }
    public static String stockSearchUrl(){
        return AppConfig.getInterfaceUrl() + "jbl/api/module-data/brand_in_stock/brand_in_stock/diy/box_inventory";
    }
    public static String callThirdUrl(){
        return AppConfig.getInterfaceUrl() + "jbl/api/module-data/brand_in_stock/brand_in_stock/diy/exist_brand";
    }
    public static String leadBind(){
        return AppConfig.getInterfaceUrl() + "jbl/api/module-data/brand_in_stock/brand_in_stock/diy/lead_bind";
    }
    public static String leadBindOutStock(){
        return AppConfig.getInterfaceUrl() + "jbl/api/module-data/brand_in_stock/brand_in_stock/diy/lead_bind_out_stock";
    }

    public static String brandRecharge(){
        return AppConfig.getInterfaceUrl() + "jbl/api/module-data/brand_spoil_recharge/brand_spoil_recharge";
    }

    public static String brandQrCode(){
        return AppConfig.getInterfaceUrl() + "jbl/api/module-data/brand_in_stock/brand_in_stock/diy/brand_qr_code";
    }

    public static String getLB(){
        return "http://clouddevice.qingyaokeji.com/api/setLb";
    }
    public static String brandRecover(){
        return AppConfig.getInterfaceUrl() + "jbl/api/module-data/brand_recover/brand_recover";
    }
    public static String getVideoUrl(){
        return "https://clouddevice.qingyaokeji.com/api/advertisement";
    }
    public static String checkBrandUrl(){
        return AppConfig.getInterfaceUrl() + "jbl/api/module-data/brand_in_stock/brand_in_stock/diy/check_brand";
    }
    public static String POST_INSTALL_LIST(){
        return AppConfig.getInterfaceUrl() + "api/mobile_orders_install_list";
    }
    public static String POST_MOBILE_DETAIL(){
        return AppConfig.getInterfaceUrl() + "api/mobile_detail";
    }
    public static String POST_INSTALL_OVER(){
        return AppConfig.getInterfaceUrl() + "api/mobile_install_complete";
    }
    public static String POST_BOX_LIST(){
        return AppConfig.getInterfaceUrl() + "api/mobile_box_list";
    }
    public static String POST_BOX_IN_LIST(){//完工下包装接口
        return AppConfig.getInterfaceUrl() + "api/mobile_box_in_list";
    }
    public static String POST_BOX_ORDER_IN_NEW(){//完工下包装完工接口
        return AppConfig.getInterfaceUrl() + "api/mobile_order_in_new";
    }
    public static String POST_ADD_TAG(){
        return AppConfig.getInterfaceUrl() + "api/tag_add";
    }
    public static String POST_MOBILE_ORDER_LIST(){
        return AppConfig.getInterfaceUrl() + "api/mobile_orders_list";
    }
    public static String POST_MOBILE_HOUSE_LIST(){
        return AppConfig.getInterfaceUrl() + "api/mobile_house_list";
    }
    public static String POST_INSTALL_DETAIL(){
        return AppConfig.getInterfaceUrl() + "api/mobile_install_detail";
    }
    //第二版
    public static String POST_MOBILE_BASIC(){
        return AppConfig.getInterfaceUrl() + "api/mobile_basic_type";
    }
    public static String POST_STATION_GET_TYPE(){
        return AppConfig.getInterfaceUrl() + "api/mobile_get_type";
    }
    public static String POST_PART_NEWS(){
        return AppConfig.getInterfaceUrl() + "api/mobile_part_list_new";
    }
    public static String POST_PART_DETAIL_NEWS(){
        return AppConfig.getInterfaceUrl() + "api/mobile_part_detail_new";
    }
    public static String POST_WANGONG(){
        return AppConfig.getInterfaceUrl() + "api/mobile_part_complete_new";
    }
    public static String POST_FANGONG_LIST(){
        return AppConfig.getInterfaceUrl() + "api/app_orders_rework_list";
    }
    public static String POST_PLAN_CANCER(){
        return AppConfig.getInterfaceUrl() + "api/app_orders_plan_cancer";
    }
    public static String POST_PROCEDURE(){
        return AppConfig.getInterfaceUrl() + "api/app_orders_dispatch_procedure";
    }
    public static String POST_BOX_LIST_NEW(){
        return AppConfig.getInterfaceUrl() + "api/mobile_box_list_new";
    }
    public static String POST_FAHUO(){
        return AppConfig.getInterfaceUrl() + "api/mobile_orders_out_detail";
    }
    public static String POST_SCAN_PROJECT(){
        return AppConfig.getInterfaceUrl() + "api/mobile_scan_project";
    }
    public static String POST_SCAN_IMG_NUMBER(){
        return AppConfig.getInterfaceUrl() + "api/mobile_scan_url_number";
    }
    public static String POST_SCAN_SORT(){
        return AppConfig.getInterfaceUrl() + "api/mobile_scan_sort";
    }
    public static String POST_SCAN_ROOM(){
        return AppConfig.getInterfaceUrl() + "api/mobile_scan_house";
    }
    public static String POST_SCAN_PART(){
        return AppConfig.getInterfaceUrl() + "api/mobile_scan_part";
    }
    public static String POST_SENT_GOODS_LIST(){
        return AppConfig.getInterfaceUrl() + "api/mobile_box_no_out_list";
    }
    public static String POST_RECEIPT_GOODS_LIST(){
        return AppConfig.getInterfaceUrl() + "api/mobile_transport_no_get_list";
    }
    public static String POST_GOODS_Detail(){
        return AppConfig.getInterfaceUrl() + "api/mobile_box_no_out_detail";
    }
    public static String POST_RECEIPT_GOODS_Detail(){
        return AppConfig.getInterfaceUrl() + "api/mobile_transport_no_get_detail";
    }
    public static String POST_GET_PRODUCT_LIST(){
        return AppConfig.getInterfaceUrl() + "api/mobile_order_list";
    }
    public static String POST_GET_URL_NUMBER_LIST(){
        return AppConfig.getInterfaceUrl() + "api/mobile_order_url_number";
    }
    public static String POST_APPLY_PRINT(){
        return AppConfig.getInterfaceUrl() + "api/mobile_scan_part_compensate";
    }

    //获取打印图片
    public static String POST_GET_PIC(){
        return AppConfig.getInterfaceUrl() + "api/mobile_get_pic";
    }

    public static String POST_PART_HOUSE_LIST(){
        return AppConfig.getInterfaceUrl() + "api/mobile_part_house_list";
    }

    public static String POST_PART_HOUSE_DETAIL(){
        return AppConfig.getInterfaceUrl() + "api/mobile_part_house_detail";
    }

    public static String POST_UNUSUAL_TAG(){
        return AppConfig.getInterfaceUrl() + "api/mobile_unusual_tag";
    }

    public static String POST_ALLOY_DETAIL(){
        return AppConfig.getInterfaceUrl() + "api/mobile_box_no_out_alloy_detail";
    }

    public static String getHARDWARE_LIST(){
        return AppConfig.getInterfaceUrl() + "api/mobile_box_no_out_alloy";
    }

    public static String uploadProductImage(){
        return AppConfig.getInterfaceUrl() + "api/upload_order_product_img";
    }

    public static String getCompletedIndexApi() {
        return AppConfig.getInterfaceUrl() + "api/mobile_basic_type";
    }

    public static String getRevokeDeliveryApi() {
        return AppConfig.getInterfaceUrl() + "api/mobile_transport_callback";
    }

    public static String getManualReceiptApi() {
        return AppConfig.getInterfaceUrl() + "api/mobile_transport_no_get_complete";
    }

    //首页接口
    public static String getHomeList() {
        return AppConfig.getInterfaceUrl() + "api/mobile_index_list";
    }

    //清点
    public static String POST_CHECK_NEWS(){
        return AppConfig.getInterfaceUrl() + "api/mobile_check_list";
    }

    //清点详情
    public static String POST_PART_CHECK_DETAIL(){
        return AppConfig.getInterfaceUrl() + "api/mobile_check_detail";
    }

    //确认清点
    public static String POST_CHECK(){
        return AppConfig.getInterfaceUrl() + "api/mobile_is_check";
    }

    public static String getButtressNo() {
        return AppConfig.getInterfaceUrl() + "api/mobile_get_buttress_no";
    }

    public static String getButtressNoExt() {
        return AppConfig.getInterfaceUrl() + "api/mobile_get_buttress_no_ext";
    }

    public static String getExtPrint() {
        return AppConfig.getInterfaceUrl() + "api/mobile_ext_print";
    }

    public static String POST_UPLOAD_PICTURE(){
        return "http://fyy_api.qingyaokeji.com/api/tbjobs1";
    }
}
